#include "node_message.h"
#include "stdlib.h"
static NODE_DEVICE_PARAMS node_receive_params = {0};


// 存储在本地的枚举了协议类型

NODE_DEVICE_PARAMS *get_node_receive_params()
{
	return &node_receive_params;
}
/*
*********************************************************************************************************
*	函 数 名: free_all_node_params()
*	功能说明: 释放掉已经占用的空间
*	形    参：无
*	返 回 值: 无
*********************************************************************************************************
*/
void free_all_node_params()
{
	// 循环的释放空间
	for (int i = 0; i < 20; i++)
	{
		if(node_receive_params.params[i].modbus_read!=NULL)
		{
			free(node_receive_params.params[i].modbus_read);
		}
		else if(node_receive_params.params[i].modbus_write!=NULL)
		{
			free(node_receive_params.params[i].modbus_write);
		}
		else if(node_receive_params.params[i].dlt645_params!=NULL)
		{
			free(node_receive_params.params[i].dlt645_params);
		}
	}
}
